package demo;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import demo.comm.DSAUtil;
import demo.comm.RSAUtil;
import demo.comm.SOAClient;

import java.security.interfaces.DSAPrivateKey;
import java.security.interfaces.RSAPublicKey;

public class SoaMD5Demo {
    public static void main(String[] args)throws Exception {
        SOAClient soaClient = new SOAClient();
        //应用号
        soaClient.setAppId("1");
        //版本号
        soaClient.setVersion("V3.0");
        soaClient.setToken("pb21b2a9f267d451789768bd66400a6ef");
        soaClient.setMd5Key("466e5516b39e4e979c068a957a404277");

        //服务地址
        soaClient.setServerUrl("http://192.168.1.223:8510/service/soa");
        //钱账通rsa公钥
//        RSAPublicKey rsaPublicKey = RSAUtil.getPublicKey("");
//        String enIdentityNo = RSAUtil.encrypt(rsaPublicKey, "");

        JSONObject param = new JSONObject();
        JSONObject payMethod = new JSONObject();
        JSONObject offApp = new JSONObject();
        offApp.put("mch_appid","");
        offApp.put("openid","");
        offApp.put("mode","");
        offApp.put("limit_pay","");
        offApp.put("channel_type","");
        payMethod.put("OFFAPP",offApp);

        param.put("pay_token","");
        param.put("pay_method",payMethod);

        JSONObject response = soaClient.request("order.pay_token.request",param);
        System.out.println("response:"+response);

        //解密
        //商户rsa私钥
//        RSAPrivateKey rsaPrivateKey = RSAUtil.getPrivateKey("008498E1D9E3A737E1C5E90C0F487618AA1FBBEA361F78DF9EBCA22205F2DE1643A91EDC98F8C7D9A89026CADC56049D5170911EC57422F2E2CB7E486AD74E3898C62E5C2CAC7CF5E165AC937A0BEBD78F2743DF164DAF58D492FFF21BD43DBED813EEEE447E7A744A6D8AC2E86ACFAD3BB6D9ACF05C63EF37D85132D4EFFCE0B9 74F7338B742126CF57389B75C3D2C13118EB37D06474C8B60AE9EE9F56BD07E0C987BACA89F22913638D84B7567D9D94A07AB32D34A43BA34A246C972AB40A819443BC5ED3BAB5554D7AEDC028E05331AB26067EE5A56C96DEC7CF1AC328E521B811FE72595AAA9A52F54D4F0414336F18A967C566E00A20FE05486BE31C5D1D");
//        String idcard = RSAUtil.dencrypt(rsaPrivateKey,"");
//        System.out.println("idcard:"+idcard);
    }


    //    将证书转换成字符串
    private static void keyToString() throws Exception {

//        DSA公私钥转换字符串方法
        System.out.println(DSAUtil.getPrivateKeyString((DSAPrivateKey) DSAUtil.loadPrivateKey("C:\\Users\\xul\\Desktop\\dsa_private_key.pfx", "PXommGBW9gj0XWSq")));
//        System.out.println(DSAUtil.getPublicKeyString((DSAPublicKey) DSAUtil.loadPublicKey("dsa_public_key.cer公钥路径")));

//        RSA公私钥转换字符串方法
//        System.out.println(RSAUtil.getPrivateKeyString((RSAPrivateKey) RSAUtil.loadPrivateKey("rsa_private_key.pfx私钥路径", "私钥密码")));
//        System.out.println(RSAUtil.getPublicKeyString((RSAPublicKey) RSAUtil.loadPublicKey("rsa_public_key.cer公钥路径")));

    }

}
