package demo;

import com.alibaba.fastjson.JSONObject;
import demo.comm.*;

import java.io.File;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.UUID;

public class SoaUploadDemo {
    public static void main(String[] args)throws Exception {
            String appId = "";
            String version = "3.0";
            //dsa私钥
            String dsaPrivateKey = "";
            //服务地址
            String imageUploadUrl = "";
            //图片地址
            String path = "";

            String serviceName = "image.upload";
            String imageName = "";
            String imageType = "";

            String timeStamp = String.valueOf(new Date().getTime() / 1000);
            StringBuilder signSb = new StringBuilder();
            signSb.append(appId)
                    .append(timeStamp)
                    .append(version)
                    .append(serviceName)
                    .append(imageType)
                    .append(imageName);


            String signStr = DSAUtil.sign(DSAUtil.getPrivateKey(dsaPrivateKey), signSb.toString());
            List<FormFieldKeyValuePair> ffkvp = new ArrayList<FormFieldKeyValuePair>();


            ffkvp.add(new FormFieldKeyValuePair("app_id", appId)); //其他参数
            ffkvp.add(new FormFieldKeyValuePair("timestamp", timeStamp));
            ffkvp.add(new FormFieldKeyValuePair("version", version));
            ffkvp.add(new FormFieldKeyValuePair("service", serviceName));
            ffkvp.add(new FormFieldKeyValuePair("image_name", imageName));
            ffkvp.add(new FormFieldKeyValuePair("image_type", imageType));
            ffkvp.add(new FormFieldKeyValuePair("sign", signStr));
            List<UploadFileItem> ufi = new ArrayList<UploadFileItem>();
            ufi.add(new UploadFileItem("image_content", path));
            HttpPostEmulator hpe = new HttpPostEmulator();
            String response = hpe.sendHttpPostRequest(imageUploadUrl, ffkvp, ufi, "UTF-8");
            System.out.println("response:"+response);
    }
}
